// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Game.hpp"
#include "scene/SceneList.hpp"

using namespace Dawn;

Game::Game() : IGame() {
  
}

std::function<void(Scene&)> Game::getInitialScene() {
  return helloWorldScene;
}

void Game::initManagers() {

}

Game::~Game() {
  
}