// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "game/IGame.hpp"

namespace Dawn {
  class Game : public IGame {
    protected:
      std::function<void(Scene&)> getInitialScene() override;
      void initManagers() override;

    public:
      Game();
      ~Game();
  };
}